"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TranslatedItemMapper = void 0;
var _TranslatedItem = require("../../domain/TranslatedItem");
class TranslatedItemMapper {
  static fromDTO(dto) {
    return _TranslatedItem.TranslatedItem.create({
      itemId: dto.itemId,
      value: dto.value,
      translatedOn: dto.translatedOn ? new Date(dto.translatedOn) : undefined,
      translatedBy: dto.translatedBy
    });
  }
  static toDTO(item) {
    return {
      itemId: item.itemId,
      value: item.value,
      translatedOn: item.translatedOn?.toISOString(),
      translatedBy: item.translatedBy
    };
  }
}
exports.TranslatedItemMapper = TranslatedItemMapper;

//# sourceMappingURL=TranslatedItemMapper.js.map